LOGIN ID Password Auto Login Register Now! Lost Password?
XUGJ Forum

pack2011をPHP 5.3.3、MySQL5.0.77-log 環境にインストールした際のエラー等

  • このフォーラムに新しいトピックを立てることはできません
  • このフォーラムではゲスト投稿が禁止されています

投稿ツリー


前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2011/12/11 11:53 | 最終変更
domifara  Ensign   投稿数: 300
引用:

marineさんは書きました:
XPressME

Warning: date_default_timezone_get() [function.date-default-timezone-get]: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Asia/Tokyo' for 'JST/9.0/no DST' instead in /home/hogehoge/hogehoge.xsrv.jp/public_html/modules/xpress/class/config_from_xoops.class.php on line 115

これは、PHP5.3以降では、
php.iniの設定で
date.timezone の設定が必須(省略不可)となっているのに
date.timezone の設定が定義されていない
ときにでます。
これが出ると、正規のヘッダーより先にWarningが出るので

Warning [PHP]: Cannot modify header information - headers already sent
のエラーが多数でます。

XAMMPなんかも
;date.timezone = Europe/Berlin
だったら
date.timezone = "Asia/Tokyo"
php.ini設定を見直してください


引用:
Unknown Condition [8192]: Function set_magic_quotes_runtime() is deprecated in file modules/xpress/wp-settings.php line 32
これは、wordpressとしては、php5.3非推奨関数でも、magic_quotesがoffで無いとまずいみたいだから
ユーザーが on にしている場合を考えると
offにする行為を止めるわけにはいかないので
しかたがないかなと。
投票数:2 平均点:10.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2011/12/11 13:26
marine  Lieutenant   投稿数: 464
naaoさん、ありがとうございます。

とりあえず、関係するファイルをすべてアップデートして、Altsysで言語定数のアップデートもしてみました。

でも、やっぱり次の表示がでてしまうようです。

Notice [PHP]: Use of undefined constant _MD_D3PIPES_ERR_PARSETYPEMISMATCH - assumed '_MD_D3PIPES_ERR_PARSETYPEMISMATCH' in file /home/hogehoge/xoops_trust_path/modules/d3pipes/joints/parse/D3pipesParseKeithxml.class.php line 102

ただ、管理画面でモジュールアイコンが表示されないなどの症状も出ていたので、再度、すべて上書きアップデートしましたが・・・やっぱり、ダメ。

とりあえず、ここでタイムアップ!
お試しサイトのお試し期間が終了となりました。
投票数:0 平均点:0.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2011/12/11 13:32
marine  Lieutenant   投稿数: 464
ということで、別のサーバで試してみました。
余り評判のよろしくないロリポです。

昔から借りていたんですが、今はメールサーバみたいになってまして・・・
PHP5.3環境が使えるようになったとか、容量が多くなったこともあり、試してみるのも悪くないかと思ってやってみました。

すると、結構良い感じです。
速度もなかなか速いし、今、メインで使っているサーバよりも良いくらいかも?
まあ、ほとんどデータが入っていないので、比較できませんけど。

pack2011をインストール、d3pipesとd3forum、bulletinを最新のものにアップデートしてから、PHPデバッグにして、表示されるメッセージは次のとおりです。

これらは、ほとんど気にせず運用できそうな感じですね。


しかし、今のメインのサーバは遅いし接続エラーが出る始末・・・
ロリポをメインにするのはどうかな? って気もするし、どうしようかなぁ・・・?



トップページ

Unknown Condition [8192]: Assigning the return value of new by reference is deprecated in file modules/xpress/include/xpress_block_render.php line 185
Unknown Condition [8192]: Assigning the return value of new by reference is deprecated in file modules/xpress/include/xml.php line 18


XPressME

Unknown Condition [8192]: Function set_magic_quotes_runtime() is deprecated in file modules/xpress/wp-settings.php line 32




サイト/システム情報
XC Legacyバージョン : XOOPS Cube Legacy 2.2.1 Beta1
デフォルト・サイトテーマ : basic5a
デフォルトのテンプレート・セット : default
使用言語 : ja_utf8
デバッグモードを有効にする : PHPデバグ
オペレーティングシステム : Linux u
サーバー : Apache
ユーザーエージェント : Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0
PHPバージョン : 5.3.5
MySQLのバージョン : 5.1.59-community-log

PHPの設定
セーフモード : オフ
最大実行時間 : 30 sec.
メモリ制限 : 128Mb
表示エラー : オン
ショートオープンタグ : オン
ファイルをアップロード : オン ( アップロード最大ファイルサイズ:2M, Post最大サイズ:8M )
マジッククオート : オフ
グローバル変数の登録 : オフ
出力バッファリング : オフ
open_basedir : オフ
url_fopenを許可 : オフ
DOMの拡張 : はい
exifの拡張 : はい
gettextの拡張 : はい
JSONの拡張 : はい
XMLを有効 : はい
Curlの拡張 : はい
Zlibを有効 : はい
Soapの拡張 : はい
Mbstringを有効 : はい
Iconvの利用 : はい
GDの拡張 : はい
GD Version: bundled (2.0.34 compatible)
GDの拡張 Image create Truecolor
投票数:1 平均点:10.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2011/12/11 15:02 | 最終変更
domifara  Ensign   投稿数: 300
引用:

marineさんは書きました:

Unknown Condition [8192]: Assigning the return value of new by reference is deprecated in file modules/xpress/include/xpress_block_render.php line 185
Unknown Condition [8192]: Assigning the return value of new by reference is deprecated in file modules/xpress/include/xml.php line 18

これは、XPressME_Integration_Kitに対する
PHP5.3対応漏れです。
XPressME_Integration_Kitオリジナルは、PHP5以上の限定ではなかった?と思うので
Pack2011側で直すべきものだと思います
(ちなみに、スターターパックのはこのへん対応済みです)
チケット切って、trunkは直したので、
次回バージョンまでには対応かな。

http://www.xoopscube.net/redmine/issues/137
rev.352
http://sourceforge.jp/projects/xoopscube22x/svn/view?root=xoopscube22x&vi...
投票数:2 平均点:10.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2011/12/11 18:52
marine  Lieutenant   投稿数: 464
domifaraさん、ありがとうございます。

なるほど、そういうことだったんですね。
いつもお世話になります。m(_ _)m

pack2011が良い形になると良いですね。
投票数:2 平均点:10.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2011/12/14 12:01
domifara  Ensign   投稿数: 300
marineさん、こんにちわ
XPressでの
「拡張ブロック」内
ファイル /home/hogehoge/hogehoge.server.jp/public_html/modules/xpress/wp-content/themes/xpress_default/blocks/my__block.php が見つかりません。 
の件ですが、
Naokiさんと調べて

チケットにフィードパックとして書きましたが
バグではなくて
http://www.xoopscube.net/redmine/issues/124

引用:
ブロックの「拡張ブロック」
では

  カスタムブロックを表示するファイル名を入力してください。:
  ファイル名: my_[ 入力項目 ]_block.php
  ここで指定したファイルをテーマ内のブロックディレクトリーに作成してください


と、あります。
これは、ユーザーがカスタマイズするためのもの思われます。
だから、初期は存在しません。

ユーザー自信で作成して
modules/xpress/wp-content/themes/xpress_default/blocks/内に
my_[ 入力項目 ]_block.phpを設置してください。


存在しなくてもwarning等エラーは出ません
投票数:3 平均点:10.00
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2011/12/14 23:01
marine  Lieutenant   投稿数: 464
domifaraさん、色々とありがとうございます。

なるほど、そういうことなんですね。
とりあえず、安心して使うことができそうです。

これで、pack2011も道が開けたような気がします。
やっぱり、XOOPSは面白いですねぇ~

(って、XOOPSじゃなくって、XCLなんですけど・・・)
投票数:3 平均点:10.00
  条件検索へ

Back to Page Top
MainMenu
Manuals
Search
XOOPS Official & Dev.
XOOPS Communities